# Welcome to Module 305: Mesh TODO title here needed

### Introduction to Mesh

Mesh SDK is a set of tools that allow you to build applications that interacts with the Cardano blockchain, providing everything you need to build applications on the Cardano blockchain with ease.

Like a well-woven fabric, Mesh connects business goals with technology stacks. It enables developers to build applications according to project requirements on the blockchain. Mesh is filling the gap by making product development accessible on Cardano.

Whether you're a new developer, a startup, or a large enterprise, Mesh makes Web3 development easy with reliable, scalable, and well-engineered APIs & developer tools.

### List of Features

- [Clean and intuitive APIs](https://meshjs.dev/apis/) - Whether you're a new developer, a startup, or a large enterprise; Mesh makes Web3 development easy with reliable, scalable, and well-engineered APIs & developer tools.
- [Mesh Playground](https://meshjs.dev/) - Mesh Playground is an interactive tool which allows you to explore Mesh's features. Most APIs are interactive, where you can modify the inputs and see how to use the code in your project.
- [Starter Kits](https://meshjs.dev/starter-templates) - Whether you are a NFT project that need a multi-sig minting site, or a SPO that need a website for your pool, pick from one of our starter kits, and get started in minutes.
- [React Components and Hooks](https://meshjs.dev/react/) - Mesh offers UI components you need to build your dApp, so you can jumpstart your next project and bring the user interface to life.
- [Interact with smart contracts](https://meshjs.dev/apis/transaction/smart-contract) - Locking and unlocking, minting and burning assets, designing datum and redeemer. Mesh provides everything you need to work with smart contracts. 
- [Guides](https://meshjs.dev/guides) - Whether you are new to web development or a seasoned blockchain full-stack developer, these guides will help you get started.
- [Offline Resolvers](https://meshjs.dev/apis/resolvers) - Many blockchains operations are computed locally without the need to fetch data from services.
- [Service Providers](https://meshjs.dev/providers) - Providers are services provided by the Cardano community, to help you ship your apps faster.

### this is to be inside slts-english.json

TODO: to remove

```
{
  "number": 305,
  "title": "In-depth with MeshSDK",
  "releaseDate": "2023-05-29",
  "updatedDate": "2023-05-29",
  "slts": [
    {
      "id": "305.1",
      "slt": "I have setup my development environment for web3 development."
    },
    {
      "id": "305.2",
      "slt": "I can start from a Mesh starter kit and deploy the app in production."
    },
    {
      "id": "305.3",
      "slt": "I can interact with user's Browser Wallet with Mesh UI component and hooks."
    },
    {
      "id": "305.4",
      "slt": "I can create transactions to interact with smart contracts and retrieve relevant UTXOs from the script and use it as reference inputs."
    },
    { "id": "305.5", "slt": "I can build UI interaction to trigger transactions, and listen for transaction status." }
  ],
  "lessons":[
    {
      "slug": "slts",
      "name": "Student Learning Targets",
      "video": "",
      "path": "slts"
    },
    {
      "slug": "3051",
      "name": "Lesson 1 - Development environment setup",
      "video": "",
      "path": "1"
    },
    {
      "slug": "3052",
      "name": "Lesson 2 - From start kits to live deploment",
      "video": "",
      "path": "2"
    },
    {
      "slug": "3053",
      "name": "Lesson 3 - Interact with wallet and hooks",
      "video": "",
      "path": "3"
    },
    {
      "slug": "3054",
      "name": "Lesson 4 - Transactions, smart contracts, and UTXOs",
      "video": "",
      "path": "4"
    },
    {
      "slug": "3055",
      "name": "Lesson 5 - User interface and providers",
      "video": "",
      "path": "5"
    }
  ]
}
```


import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;